tt_message_class(library call)

NAME
tt_message_class — retrieve the class attribute from a message

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_class tt_message_class(
Tt_message m);

DESCRIPTION

The tt_message_class function retrieves the class attribute from the specified message.

The m argument is the opaque handle for the message involved in this operation.

RETURN VALUE

Upon successful completion, the tt_message_class function returns a value that indicates whether the sender wants an action to take place after the message is received. The tt_message_class function returns one of the following Tt_status values:

TT_NOTICE
    A notice of an event. The sender does not want feedback on this message.

TT_REQUEST
    A request for some action to be taken. The sender must be notified of progress, success or failure, and must receive any return values.

The application can use tt_int_error(3) to extract one of the following Tt_status values from the Tt_class integer:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_int_error(3).